Bug 596804 - The kernel module for dm-multipath is not loaded in 6.0-20100511.3
Summary: The kernel module for dm-multipath is not loaded in 6.0-20100511.3
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: beta
: ---
Assignee: Peter Jones
QA Contact: Release Test Team
URL:
Whiteboard:
Keywords: TestBlocker
Depends On: 591644
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-27 14:42 UTC by Ben Marzinski
Modified: 2010-11-10 19:46 UTC (History)
22 users (show)

Fixed In Version: anaconda-13.21.50-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 591644
Environment:
Last Closed: 2010-11-10 19:46:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
update image for testing (488.79 KB, application/x-gzip)
2010-05-27 17:41 UTC, Peter Jones
no flags Details

Comment 3 Chris Lumens 2010-05-27 14:59:53 UTC
What is being asked of anaconda here?

Comment 4 Peter Jones 2010-05-27 17:41:13 UTC
Created attachment 417319 [details]
update image for testing

Barry, can you try again with the attached update image, as well as adding:

ignoredisk --interactive

to your ks.cfg ?

Comment 5 Barry Donahue 2010-05-27 17:49:53 UTC
(In reply to comment #4)
> Created an attachment (id=417319) [details]
> update image for testing
> 
> Barry, can you try again with the attached update image, as well as adding:
> 
> ignoredisk --interactive
> 
> to your ks.cfg ?    

   Will this image work on an Intel based system? The system I have been using is Intel.

Comment 6 Peter Jones 2010-05-28 15:37:07 UTC
It should work fine either way.

Comment 7 Ben Marzinski 2010-05-28 20:17:53 UTC
In response to Comment #3, I just cloned the bug so Peter Jones could have his own bug to use for his anaconda patch. I believe that it always creates a multipath.conf file, so that the kernel module is always loaded.

Comment 8 David Cantrell 2010-06-01 13:31:33 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > Created an attachment (id=417319) [details] [details]
> > update image for testing
> > 
> > Barry, can you try again with the attached update image, as well as adding:
> > 
> > ignoredisk --interactive
> > 
> > to your ks.cfg ?    
> 
>    Will this image work on an Intel based system? The system I have been using
> is Intel.    

Yes.  amd64 == x86_64

Comment 11 Alexander Todorov 2010-07-19 14:04:11 UTC
Tested with anaconda 13.21.58 in snap #8. The @storage-client-multipath
group was selected (device-mapper-multipath is in this group). 

After install:
# multipath -ll
Jul 19 09:59:15 | /etc/multipath.conf does not exist, blacklisting all devices.
Jul 19 09:59:15 | A sample multipath.conf file is located at
Jul 19 09:59:15 | /usr/share/doc/device-mapper-multipath-0.4.9/multipath.conf
Jul 19 09:59:15 | You can run /sbin/mpathconf to create or modify /etc/multipath.conf
Jul 19 09:59:15 | DM multipath kernel driver not loaded


Comment #7 says that anaconda should always be creating /etc/multipath.conf which in this case doesn't exist. Should this behavior be present on regular systems as well or only on systems with multipathed storage?

Comment 12 Alexander Todorov 2010-07-20 11:29:20 UTC
Peter,
can you answer comment #11?

Comment 13 David Cantrell 2010-07-20 19:39:17 UTC
(In reply to comment #11)
> Tested with anaconda 13.21.58 in snap #8. The @storage-client-multipath
> group was selected (device-mapper-multipath is in this group). 
> 
> After install:
> # multipath -ll
> Jul 19 09:59:15 | /etc/multipath.conf does not exist, blacklisting all devices.
> Jul 19 09:59:15 | A sample multipath.conf file is located at
> Jul 19 09:59:15 | /usr/share/doc/device-mapper-multipath-0.4.9/multipath.conf
> Jul 19 09:59:15 | You can run /sbin/mpathconf to create or modify
> /etc/multipath.conf
> Jul 19 09:59:15 | DM multipath kernel driver not loaded
> 
> 
> Comment #7 says that anaconda should always be creating /etc/multipath.conf
> which in this case doesn't exist. Should this behavior be present on regular
> systems as well or only on systems with multipathed storage?    

The /etc/multipath.conf file is only written out if we have devices of type dm-multipath.

Comment 14 Jan Stodola 2010-08-16 12:50:33 UTC
Successfully installed on a multipath device, dm_multipath was loaded after restart:

[root@dhcp70-190 ~]# lsmod | grep dm_multipath
dm_multipath           18050  2 dm_round_robin
dm_mod                 76295  19 dm_mirror,dm_log,dm_multipath

[root@dhcp70-190 ~]# multipath -ll
mpatha (3600a0b800034867a000005cd47d96f66) dm-0 SGI,IS400
size=339G features='3 queue_if_no_path pg_init_retries 50' hwhandler='1 rdac' wp=rw
|-+- policy='round-robin 0' prio=6 status=active
| `- 1:0:0:3 sdb 8:16 active ready running
`-+- policy='round-robin 0' prio=1 status=enabled
  `- 0:0:0:3 sda 8:0  active ghost running

[root@dhcp70-190 ~]# ls -l /etc/multipath.conf 
-rw-r--r--. 1 root root 898 Aug 16 04:08 /etc/multipath.conf

[root@dhcp70-190 ~]# chkconfig --list multipathd
multipathd      0:off   1:off   2:on    3:on    4:on    5:on    6:off

[root@dhcp70-190 ~]# service multipathd status
multipathd (pid  1346) is running...

[root@dhcp70-190 ~]# pvs
  PV                   VG           Fmt  Attr PSize   PFree
  /dev/mapper/mpathap1 vg_dhcp70190 lvm2 a-   339.33g    0 
  /dev/sdc2            vg_dhcp70190 lvm2 a-   465.27g    0

Tested on build RHEL6.0-20100811.2 / Server / x86_64 with anaconda-13.21.74-1.el6. Moving to VERIFIED.

Comment 15 releng-rhel@redhat.com 2010-11-10 19:46:13 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.